Bug 51670 - $LeftoverDataException
Summary: $LeftoverDataException
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: 3.7-FINAL
Hardware: PC Windows XP
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
Depends on:
Reported: 2011-08-17 04:04 UTC by Jan
Modified: 2011-09-14 01:42 UTC (History)
0 users

Problematic Excel (15.00 KB, application/vnd.ms-excel)
2011-08-17 04:04 UTC, Jan

Note You need to log in before you can comment on or make changes to this bug.
Description Jan 2011-08-17 04:04:36 UTC
Created attachment 27395 [details]
Problematic Excel

I am using the latest version of POI3.7 (even tried the 3.8-beta3), the problem of LeftoverDataException still exists in the attached XLS.

I tried to open the XLS by Excel, and resaved once. The problem is fixed.

But the problem is, the file is generated by a 3rd party and I don't know what tool generated the file. I can only access the file online. I can't resave a huge amount of files manually one-by-one.

Please Help!
Comment 1 Yegor Kozlov 2011-08-17 07:09:48 UTC
I confirmed the problem in trunk. Something to fix in future releases.

Comment 2 Jan 2011-08-17 07:22:54 UTC
Thanks for your prompt response, Yegor.
Looking forward to the next release of POI.
Comment 3 Jan 2011-09-01 04:35:27 UTC
Hi Yegor, 

Before the bug is fixed in the next version, can I have a quick fix for this?

I downloaded the source of 3.8-Beta4 and built a version by myself.
I tried to trace for the problem, but I have no idea where's the root cause of the problem.

Can you give me some suggestions, so that I can fix it and build a temporary version for our own use immediately? As we are now in a tight development schedule, and can not wait for a very long time.

Many thanks!

Comment 4 Yegor Kozlov 2011-09-12 13:03:54 UTC
Fixed in r1169725, junit added.

Comment 5 Jan 2011-09-14 01:42:28 UTC
Thanks for your help to fix the problem.
I built a version, and its working now.

Thanks :)